<!DOCTYPE html>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title>Details about the Debian/Ruby Wheezy Transition</title>
    <link rel='stylesheet' type='text/css' href='style.css'/>
  </head>
  <body>
    <h1>Details about the Debian/Ruby Wheezy Transition</h1>
    <p>
    <a href='.'>Go back to overview page</a><br/>
    <a href="http://pet.43-1.org/pkg-ruby-extras/pet.cgi">pkg-ruby-extras' PET page</a>
    </p>
    <h2>Packages using old policy</h2>
    <ul>
      <li>Pending binary packages: <%= pending_packages.count %></li>
      <li>Pending source packages: <%= pending_source_packages.count %></li>
    </ul>
    <h3>Maintained by the PRE team</h3>
    <table class='buglist'>
      <tr>
        <th></th>
        <th>source</th>
        <th>arch</th>
        <th>popcon</th>
        <th>maintainer</th>
        <th>uploaders</th>
        <th>binaries</th>
      </tr>
    <% n = 1; pending_packages_gr_team.each do |package| %>
      <tr>
        <td><%= n %><% n += 1 %></th>
        <td><%= package['source'] %></th>
        <td><%= package['arch'] %></th>
        <td><%= package['popcon_src'] %></th>
        <td><%= package['maintainer'] %></th>
        <td><%= package['uploaders'] %></th>
        <td><%= package['binaries'] %></th>
      </tr>
    <% end %>
    </table>
    <h3>Not maintained by the PRE team</h3>
    <table class='buglist'>
      <tr>
        <th></th>
        <th>source</th>
        <th>arch</th>
        <th>popcon</th>
        <th>maintainer</th>
        <th>uploaders</th>
        <th>binaries</th>
      </tr>
    <% n = 1 ; pending_packages_gr_noteam.each do |package| %>
      <tr>
        <td><%= n %><% n += 1 %></th>
        <td><%= package['source'] %></th>
        <td><%= package['arch'] %></th>
        <td><%= package['popcon_src'] %></th>
        <td><%= package['maintainer'] %></th>
        <td><%= package['uploaders'] %></th>
        <td><%= package['binaries'] %></th>
      </tr>
    <% end %>
    </table>
    <h2>Packages using new policy</h2>
    <ul>
      <li>Migrated binary packages: <%= done_packages.count %></li>
      <li>Migrated source packages: <%= done_source_packages.count %></li>
    </ul>
   (listing does not include transitional packages)
    <table class='buglist'>
      <tr>
        <th>source</th>
        <th>package</th>
        <th>arch</th>
        <th>popcon</th>
        <th>maintainer</th>
        <th>uploaders</th>
      </tr>
    <% done_packages.each do |package| %>
      <tr>
        <td><%= package['source'] %></th>
        <td><%= package['binary'] %></th>
        <td><%= package['arch'] %></th>
        <td><%= package['popcon'] %></th>
        <td><%= package['maintainer'] %></th>
        <td><%= package['uploaders'] %></th>
      </tr>
    <% end %>
    </table>
    <h2>Packages in NEW</h2>
    <table class='buglist'>
      <tr>
        <th>source</th>
        <th>package</th>
        <th>maintainer</th>
      </tr>
    <% new_packages.each do |package| %>
      <tr>
        <td><%= package['source'] %></th>
        <td><%= package['package'] %></th>
        <td><%= package['maintainer'] %></th>
      </tr>
    <% end %>
    </table>
    <h2>About this service</h2>
    <p>
    Source code for this service <a href='http://git.debian.org/?p=pkg-ruby-extras/wheezy-transition-tracker.git;a=summary'>is available</a> on <code>git.debian.org</code>.
    <em>Data from <a href='http://udd.debian.org/'>UDD</a>, updated daily.</em>
    </p>
  </body>
</html>
